daemon daemon/ifplugd/* {
	need = system/bootmisc;
	use = system/modules system/coldplug system/ifrename;
	stdout = /dev/null;
	stderr = /dev/null;
	env_file = /etc/default/ifplugd;
	script daemon = {
		#!/bin/bash
		IF1=`echo ${NAME} | /bin/sed "s/-/_/"`
		A=`eval echo \$\{ARGS_${IF1}\}`
		[ -z "${A}" ] && A="${ARGS}"

		exec /usr/sbin/ifplugd --no-daemon -i ${NAME} ${A};
	}
	#execs kill = /usr/sbin/ifplugd;
	#exec_args kill = -k --wait-on-kill -i ${NAME};
	#pid_file = /var/run/ifplugd.${NAME}.pid;
}

service daemon/ifplugd {
	need = system/bootmisc;
	use = system/modules system/coldplug system/ifrename;
	#stdall = /dev/null;
	
	env_file = /etc/default/ifplugd;

	script start = {
		[ "${INTERFACES}" = "auto" -o "${INTERFACES}" = "all" ] && INTERFACES="`/bin/cat /proc/net/dev | /usr/bin/awk '{ print $1 }' | /bin/egrep '^(eth|wlan|ath)' \
			| cut -d: -f1`"

		for IF in ${INTERFACES}
		do
			/sbin/ngc -u daemon/ifplugd/${IF}
		done
	};
	script stop = {
		for DAEMON in `/sbin/ngc -s daemon/ifplugd/* | /bin/egrep "daemon/ifplugd/\w+" | /usr/bin/awk '{ print $2 }'`
		do
			/sbin/ngc -d ${DAEMON}
		done
	};
}
