daemon daemon/wpa_supplicant/* {
	need = system/mountfs;
	use = system/ifrename;
	pid_file = /var/run/wpa_supplicant-${NAME}.pid;
	forks;
	script daemon =  {
		. ${INITNG_PLUGIN_DIR}/scripts/net/functions
		eval opts=\"\$\{wpa_supplicant_${ifvar}\} -i${iface} -c/etc/wpa_supplicant.conf -B\"
		[ -f /sbin/wpa_cli.action ] && \
				opts="${opts} -W -P/var/run/wpa_supplicant-${iface}.pid"
		/sbin/wpa_supplicant ${opts}

		if [ -f /sbin/wpa_cli.action ]
		then
				/sbin/ngc -u daemon/wpa_cli/${iface}
				exit 0
		fi

		source "${libdir}/wpa_supplicant"
		if ! wpa_supplicant_associate 
		then
				/bin/wpa_cli -i${iface} terminate
				exit 1
		fi

		/sbin/ngc -u net/${iface}
	};
	script kill = {
		/usr/bin/pkill -f "/sbin/wpa_supplicant .* -i${NAME} "
	};
}
