service system/consolefont {
	need = system/bootmisc system/keymaps;
	env_file = /etc/console-tools/config;

	script start = {
		if [ -d /etc/console-tools/config.d ]
		then
			for i in `/bin/run-parts --list /etc/console-tools/config.d`
			do
				. ${i}
			done
		fi
		# Different device name for 2.6 kernels and devfs
		if [ `/bin/uname -r | /usr/bin/cut -f 2 -d .` = 6 -a -e /dev/.devfsd ]
		then
			VCSTIME_OPT="-2 /dev/vcsa0"
		else
			VCSTIME_OPT=""
		fi
		[ -n "${SCREEN_FONT}" ] && CONSOLEFONT="${SCREEN_FONT}"
		[ -n "${SYSFONT}" ] && CONSOLEFONT="${SYSFONT}"
	
		if [ -z "${CONSOLEFONT}" ]
		then
			echo "Using the default console font"
			exit 0
		fi

		retval=1
	
		if [ -x /bin/setfont ]
		then
			SETFONT="/bin/setfont"
		elif [ -x /usr/bin/consolechars ]
		then
			SETFONT="/usr/bin/consolechars"
			CONSOLEFONT="-f ${CONSOLEFONT}"
		else
			echo "Could not find set font utils ..."
			exit 1
		fi
		# Get additional parameters
		if [ -n "${CONSOLETRANSLATION}" ]
		then
			param="-m ${CONSOLETRANSLATION}"
		fi
		if [ -n "${SYSFONTACM}" ]
		then
			[ -f "/lib/kbd/consoletrans/${SYSFONTACM}_to_uni.trans" ] || SYSFONTACM=`echo ${SYSFONTACM} | /bin/sed "s|iso0|8859-|g;s|iso|8859-|g"`
			ARGS="${ARGS} -m ${SYSFONTACM}"
		fi

		# Set the console font
	
		# We patched setfont to have --tty support ...
		if [ -n "`${SETFONT} --help 2>&1 | /bin/grep -e '--tty'`" -o -n "`${SETFONT} --help 2>&1 | /bin/grep -e '-C'`" ]
			then
			if [ -n "`${SETFONT} --help 2>&1 | /bin/grep -e '--tty'`" ]
			then
				sf_param="--tty="
			else
				sf_param="-C "
			fi
		
			[ -d /dev/vc ] && ttydev=/dev/vc/ || ttydev=/dev/tty

			for x in `/usr/bin/seq 1 11`
			do
				${SETFONT} ${CONSOLEFONT} ${param} \
				${sf_param}/${ttydev}${x} >/dev/null
				retval=${?}
			done
		else
			${SETFONT} ${CONSOLEFONT} ${param} >/dev/null
			retval=${?}
		fi
		exit ${retval}
	};
}

