service system/lm-sensors/modules {
	need = system/bootmisc system/modules/i2c-core;
	use = system/modules;
	env_file = /etc/conf.d/lm_sensors;
	stdall = /dev/null;
	script start = {
		i=0
		while true
		do
			eval module=\"\${MODULE_${i}}\"
			eval module_args=\"\${MODULE_${i}_ARGS}\"
			[ -z "${module}" ] && break
			/sbin/modprobe "${module}" ${module_args}
			i=$((i+1))
		done
	};
	script stop = {
		i=0
		while true
		do
			eval module=\"\${MODULE_${i}}\"
			[ -z "${module}" ] && break
			/sbin/rmmod "${module}"
			i=$((i+1))
		done
	};
}

service system/lm-sensors {
	need = system/bootmisc;
	use = system/lm-sensors/modules system/modules;
	stdout = /dev/null;
	script start = {
		# set alarm values on the sensor chip(s)
		/usr/bin/sensors -s
		# clear out any alarms that may be present
		/usr/bin/sensors
	};
}
