service system/mountfs {
	need = system/initial system/mountroot system/checkfs;
	use = system/sraid system/hdparm system/selinux/relabel;
	critical;
	script start = {
		echo "Mounting local filesystems"
		mount -a -t proc >/dev/null 2>&1  # Ignore error message due to /proc already being mounted
		ES_TO_REPORT=$?
		mount -a -v -t noproc,nfs,nfs4,smbfs,cifs,ncp,ncpfs,coda,ocfs2,gfs
		ES=$?
		ES_TO_REPORT=$(($ES_TO_REPORT | $ES))
		if [ 0 != "$ES_TO_REPORT" ]
		then
			echo "code $ES_TO_REPORT"
		fi

		#
		# Execute swapon command again, in case we want to swap to
		# a file on a now mounted filesystem.
		#
		# Ignore 255 status due to swap already being enabled
		#
		echo "Activating swapfile swap"
		swapon -a -e 2>/dev/null || :  # Stifle "Device or resource busy"
		exit 0
	};
	script stop = {
		/usr/bin/awk --posix 'NF && $1!~/^#/ && $2!~/^\/(|proc|sys|dev)$/ {print $2}' /etc/mtab | /usr/bin/sort -r | while read mp
		do
			/bin/umount "${mp}" || echo "WARNING, failed to mount ${mp}"
		done
		exit 0
	};
}
