service system/urandom {
	need = system/bootmisc;
	env_file = /etc/default/rcS;
	env POOLSIZE=512;
	env SAVEDFILE=/var/lib/urandom/random-seed;
	script start = {
		[ -f /proc/sys/kernel/random/poolsize ] && POOLSIZE="`/bin/cat /proc/sys/kernel/random/poolsize`"
		# Load and then save ${POOLSIZE} bytes,
		# which is the size of the entropy pool
		if [ -f ${SAVEDFILE} ]
		then
			# Handle locally increased pool size
			SAVEDSIZE=`stat -c"%s" ${SAVEDFILE}`
			if [ ${SAVEDSIZE} -gt ${POOLSIZE} ]
			then
				[ -w /proc/sys/kernel/random/poolsize ] && echo ${POOLSIZE} > /proc/sys/kernel/random/poolsize
				POOLSIZE=${SAVEDSIZE}
			fi
			/bin/cat ${SAVEDFILE} >/dev/urandom
		fi
		if ! /bin/rm -f "${SAVEDFILE}" 2>&1 >/dev/null
		then
			echo "Skipping ${SAVEDFILE} initialization (ro root?)"
			exit 1
		fi
		umask 077
		/bin/dd if=/dev/urandom of=${SAVEDFILE} count=1 >/dev/null 2>&1
	};

	script stop = {
		umask 077
		/bin/dd if=/dev/urandom of=${SAVEDFILE} bs=${POOLSIZE} count=1 >/dev/null 2>&1
	};
}
